<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>Measure - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="Measure.html">Measure</a><ul class='methods'><li data-type='method' style='display: none;'><a href="Measure.html#clear">clear</a></li><li data-type='method' style='display: none;'><a href="Measure.html#add">add</a></li><li data-type='method' style='display: none;'><a href="Measure.html#asString">asString</a></li></ul></li><li><a href="webcontrols.html">webcontrols</a><ul class='members'><li data-type='member' style='display: none;'><a href="webcontrols.html#.verbose">verbose</a></li></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="webcontrols.html#.addButtonOnOff">addButtonOnOff</a></li><li data-type='method' style='display: none;'><a href="webcontrols.html#.addButtonRange">addButtonRange</a></li><li data-type='method' style='display: none;'><a href="webcontrols.html#.addConsole">addConsole</a></li><li data-type='method' style='display: none;'><a href="webcontrols.html#.consoleLog">consoleLog</a></li><li data-type='method' style='display: none;'><a href="webcontrols.html#.loadJSON">loadJSON</a></li><li data-type='method' style='display: none;'><a href="webcontrols.html#.consoleClear">consoleClear</a></li><li data-type='method' style='display: none;'><a href="webcontrols.html#.curl">curl</a></li></ul></li></ul><h3>Global</h3><ul><li><a href="global.html#answer">answer</a></li><li><a href="global.html#gpio_digital_timing_start">gpio_digital_timing_start</a></li><li><a href="global.html#gpio_digital_timing_stop">gpio_digital_timing_stop</a></li><li><a href="global.html#gpio_digital_timing_get">gpio_digital_timing_get</a></li><li><a href="global.html#setInterval">setInterval</a></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">Measure</h1>
    

    




<section>

<header>
    
        <h2>
        
            Measure
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="Measure"><span class="type-signature"></span>new Measure<span class="signature">(name)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Implements a repeated mesaure mechanism.</p>
<ul>
<li>
<p>Allows to accumulate different measures of the same value to obtain basic statistics.</p>
</li>
<li>
<p>Typical usage:</p>
</li>
</ul>
<pre class="prettyprint source"><code> // Creates a measure
 var measure = new Measure();
 // Adds 1000 random values is this example
 for(i = 0; i &lt; 1000; i++)
    measure.add(Math.random());
 // Dumps the result
 console.log(measure.asString());
</code></pre></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last"><p>The measure name, if any.</p></td>
        </tr>

    
    </tbody>
</table>



















        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="name"><span class="type-signature"></span>name<span class="type-signature"></span></h4>





<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>The measure name.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description usertext">
    <p>The measure name.</p>
</div>








        
            
<h4 class="name" id="count"><span class="type-signature"></span>count<span class="type-signature"></span></h4>





<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>The measures count.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description usertext">
    <p>The measures count.</p>
</div>








        
            
<h4 class="name" id="mean"><span class="type-signature"></span>mean<span class="type-signature"></span></h4>





<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>The mean value.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description usertext">
    <p>The mean value.</p>
</div>








        
            
<h4 class="name" id="stdev"><span class="type-signature"></span>stdev<span class="type-signature"></span></h4>





<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>The mean value standard-deviation.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description usertext">
    <p>The mean value standard-deviation.</p>
</div>








        
            
<h4 class="name" id="min"><span class="type-signature"></span>min<span class="type-signature"></span></h4>





<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>The minimal value.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description usertext">
    <p>The minimal value.</p>
</div>








        
            
<h4 class="name" id="max"><span class="type-signature"></span>max<span class="type-signature"></span></h4>





<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>The maximal value.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description usertext">
    <p>The maximal value.</p>
</div>








        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id="clear"><span class="type-signature"></span>clear<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Clears all measures of the value.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
            

    

    <h4 class="name" id="add"><span class="type-signature"></span>add<span class="signature">(value)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Adds a measure of the value.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>value</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last"><p>The measure value to add.</p></td>
        </tr>

    
    </tbody>
</table>



















        
            

    

    <h4 class="name" id="asString"><span class="type-signature"></span>asString<span class="signature">(digits)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the measure as a readable string.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>digits</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last"><p>The number of digits using fixed-point notation.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A string of the form <code>mean +- stdev [min .. max] #count</code></p>
</div>



    



        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>